summaryrefslogtreecommitdiffstats
path: root/perl/perl-Geo-Coordinates-OSGB
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2016-12-29 08:36:23 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-31 08:22:11 +0700
commitc6cb7ca024c6f43ee308d955365a4dca7a49e520 (patch)
tree25a2e25b0a7048b40e321608ab13de983c05d3f3 /perl/perl-Geo-Coordinates-OSGB
parentb37378256cd9a5092511ed59df436c4590500760 (diff)
downloadslackbuilds-c6cb7ca024c6f43ee308d955365a4dca7a49e520.tar.gz
slackbuilds-c6cb7ca024c6f43ee308d955365a4dca7a49e520.tar.xz
perl/perl-Geo-Coordinates-OSGB: Added (Convert Lat/Long).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl/perl-Geo-Coordinates-OSGB')
-rw-r--r--perl/perl-Geo-Coordinates-OSGB/README3
-rw-r--r--perl/perl-Geo-Coordinates-OSGB/perl-Geo-Coordinates-OSGB.SlackBuild78
-rw-r--r--perl/perl-Geo-Coordinates-OSGB/perl-Geo-Coordinates-OSGB.info10
-rw-r--r--perl/perl-Geo-Coordinates-OSGB/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/perl/perl-Geo-Coordinates-OSGB/README b/perl/perl-Geo-Coordinates-OSGB/README
new file mode 100644
index 0000000000..83cdef37a7
--- /dev/null
+++ b/perl/perl-Geo-Coordinates-OSGB/README
@@ -0,0 +1,3 @@
+Perl module to convert latitude and longitude coordinates to and from
+British National Grid references, using formulae from the Ordnance
+Survey of Great Britain, including an implementation of OSTN02.
diff --git a/perl/perl-Geo-Coordinates-OSGB/perl-Geo-Coordinates-OSGB.SlackBuild b/perl/perl-Geo-Coordinates-OSGB/perl-Geo-Coordinates-OSGB.SlackBuild
new file mode 100644
index 0000000000..d3b217b48a
--- /dev/null
+++ b/perl/perl-Geo-Coordinates-OSGB/perl-Geo-Coordinates-OSGB.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for Perl module Geo::Coordinates::OSGB
+
+# Copyright 2016 David Spencer, Baildon, West Yorkshire, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Geo-Coordinates-OSGB
+VERSION=${VERSION:-2.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Geo-Coordinates-OSGB/perl-Geo-Coordinates-OSGB.info b/perl/perl-Geo-Coordinates-OSGB/perl-Geo-Coordinates-OSGB.info
new file mode 100644
index 0000000000..4765dc3511
--- /dev/null
+++ b/perl/perl-Geo-Coordinates-OSGB/perl-Geo-Coordinates-OSGB.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Geo-Coordinates-OSGB"
+VERSION="2.16"
+HOMEPAGE="https://metacpan.org/pod/Geo::Coordinates::OSGB"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/T/TO/TOBY/Geo-Coordinates-OSGB-2.16.tar.gz"
+MD5SUM="b892408dcb8c3fb28485f5c3a8bd66d0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
diff --git a/perl/perl-Geo-Coordinates-OSGB/slack-desc b/perl/perl-Geo-Coordinates-OSGB/slack-desc
new file mode 100644
index 0000000000..1496ab46f5
--- /dev/null
+++ b/perl/perl-Geo-Coordinates-OSGB/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Geo-Coordinates-OSGB: perl-Geo-Coordinates-OSGB (convert between Lat/Long and British Grid)
+perl-Geo-Coordinates-OSGB:
+perl-Geo-Coordinates-OSGB: Perl module to convert latitude and longitude coordinates to and from
+perl-Geo-Coordinates-OSGB: British National Grid references, using formulae from the Ordnance
+perl-Geo-Coordinates-OSGB: Survey of Great Britain, including an implementation of OSTN02.
+perl-Geo-Coordinates-OSGB:
+perl-Geo-Coordinates-OSGB: https://metacpan.org/pod/Geo::Coordinates::OSGB
+perl-Geo-Coordinates-OSGB:
+perl-Geo-Coordinates-OSGB:
+perl-Geo-Coordinates-OSGB:
+perl-Geo-Coordinates-OSGB: